PATCH /projects/{project_id}/webhooks/{endpoint_id}
Update an endpoint's URL, events or state
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
endpoint_id | path | string · required |
Request body
application/json · schema WebhookUpdate
| Field | Type | Description |
|---|---|---|
url | string | |
events | array<"job.queued" | "job.started" | "job.succeeded" | "job.failed" | "job.cancelled" | "job.uncertain" | "artifact.ready" | "email.sent"> | |
active | boolean |
Responses
| Status | Description | Body |
|---|---|---|
200 | Endpoint updated, without secret | WebhookResponse |
404 | webhook_not_found | |
422 | webhook_invalid |
Examples
curl
curl -X PATCH "$GALON_API_BASE/projects/<project_id>/webhooks/<endpoint_id>" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url": "string", "events": ["job.queued"], "active": true}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.update("<id>", {"url": "string", "events": ["job.queued"], "active": true});Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.webhooks.update("<id>", {"url": "string", "events": ["job.queued"], "active": True})